<!DOCTYPE html>
<html><head>
<title>eric7.EricNetwork.EricJsonStreamReader</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.EricNetwork.EricJsonStreamReader</h1>
<p>
Module implementing a JSON based reader class.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#EricJsonReader">EricJsonReader</a></td>
<td>Class implementing a JSON based reader class.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="EricJsonReader" ID="EricJsonReader"></a>
<h2>EricJsonReader</h2>
<p>
    Class implementing a JSON based reader class.
</p>
<p>
    The reader is responsible for opening a socket to listen for writer
    connections.
</p>

<h3>Signals</h3>
<dl>

<dt>dataReceived(object)</dt>
<dd>
emitted after a data object was received
</dd>
</dl>
<h3>Derived from</h3>
QTcpServer
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#EricJsonReader.__init__">EricJsonReader</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#EricJsonReader.__handleDisconnect">__handleDisconnect</a></td>
<td>Private slot handling a disconnect of the writer.</td>
</tr>
<tr>
<td><a href="#EricJsonReader.__receiveJson">__receiveJson</a></td>
<td>Private slot handling received data from the writer.</td>
</tr>
<tr>
<td><a href="#EricJsonReader.address">address</a></td>
<td>Public method to get the host address.</td>
</tr>
<tr>
<td><a href="#EricJsonReader.handleNewConnection">handleNewConnection</a></td>
<td>Public slot for new incoming connections from a writer.</td>
</tr>
<tr>
<td><a href="#EricJsonReader.port">port</a></td>
<td>Public method to get the port number to connect to.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="EricJsonReader.__init__" ID="EricJsonReader.__init__"></a>
<h4>EricJsonReader (Constructor)</h4>
<b>EricJsonReader</b>(<i>name="", ip=None, parent=None</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>name</i> (str)</dt>
<dd>
name of the server (used for output only)
</dd>
<dt><i>ip</i> (str)</dt>
<dd>
IP address to listen at
</dd>
<dt><i>parent</i> (QObject)</dt>
<dd>
parent object
</dd>
</dl>
<a NAME="EricJsonReader.__handleDisconnect" ID="EricJsonReader.__handleDisconnect"></a>
<h4>EricJsonReader.__handleDisconnect</h4>
<b>__handleDisconnect</b>(<i></i>)
<p>
        Private slot handling a disconnect of the writer.
</p>

<a NAME="EricJsonReader.__receiveJson" ID="EricJsonReader.__receiveJson"></a>
<h4>EricJsonReader.__receiveJson</h4>
<b>__receiveJson</b>(<i></i>)
<p>
        Private slot handling received data from the writer.
</p>

<a NAME="EricJsonReader.address" ID="EricJsonReader.address"></a>
<h4>EricJsonReader.address</h4>
<b>address</b>(<i></i>)
<p>
        Public method to get the host address.
</p>

<dl>
<dt>Return:</dt>
<dd>
host address
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
str
</dd>
</dl>
<a NAME="EricJsonReader.handleNewConnection" ID="EricJsonReader.handleNewConnection"></a>
<h4>EricJsonReader.handleNewConnection</h4>
<b>handleNewConnection</b>(<i></i>)
<p>
        Public slot for new incoming connections from a writer.
</p>

<a NAME="EricJsonReader.port" ID="EricJsonReader.port"></a>
<h4>EricJsonReader.port</h4>
<b>port</b>(<i></i>)
<p>
        Public method to get the port number to connect to.
</p>

<dl>
<dt>Return:</dt>
<dd>
port number
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
int
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
